org.eclipse.emf.facet.efacet.ui

## Class FacetSetLoaderHandlerUtils

- java.lang.Object
- - org.eclipse.emf.facet.efacet.ui.FacetSetLoaderHandlerUtils

    public final class FacetSetLoaderHandlerUtils
    extends java.lang.Object

Utilitarian to manage Handlers which will (un)load FacetSets: allow users to (des)activate facet sets (customizations are facet sets). If you want to create a menu shortcut, your Handler must extends this class

Since:
  1.1
Noinstantiate:
  This class is not intended to be instantiated by clients.

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.Object` `execute(ExecutionEvent event, java.lang.String facetSetID)` Execute the Handler

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### execute

    public static java.lang.Object execute(ExecutionEvent event,
                                           java.lang.String facetSetID)
                                    throws ExecutionException

Execute the Handler

Parameters:
  `event` - The execution event that contains the application context
  `facetSetID` - ID of the facet set linked to this Handler
Returns:
  the result of the execution. Reserved for future use, can be `null`.
Throws:
  `ExecutionException`